<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
echo "<title>Интим</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n.cp \t{ border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }\r\n</style>\r\n</head>\r\n<body>";
switch ( $mod )
{
    case "new" :
        echo "<div align=\"center\">Интим</div>\r\n<form method=\"post\" action=\"intim.php\"> \r\nКлюч:<br/>\r\n<input name=\"pwd\" maxlength=\"10\"/><br/>\r\n<input type=\"hidden\" name=\"mod\" value=\"upd\"/>\r\n<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>\r\n<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/>\r\n<input value=\"Сменить\" class=\"cp\" type=\"submit\"/></form>\r\n<a href=\"intim.php?id={$id}&amp;pass={$pass}\">Назад</a>";
        break;
    case "upd" :
        if ( empty( $pwd ) )
        {
            $pwd = "pub";
        }
        $pwd = substr( $pwd, 0, 20 );
        $pwd = check( $pwd );
        if ( @mysql_query( @"update users set pwd='{$pwd}' where id='".$id."';" ) )
        {
            echo "<div align=\"center\">Ключ успешно установлен!</div>";
        }
        else
        {
            echo "<div align=\"center\">Ошибка...</div>";
        }
        echo "Ваш новый ключ: <b>{$pwd}</b><br/>\r\n<a href=\"room.php?id={$id}&amp;pass={$pass}&amp;rm=10&amp;ref={$ref}\">Войти</a>";
        break;
    default :
        $pwd = $row['pwd'];
        echo "<div align=\"center\">Интим</div>";
        if ( empty( $pwd ) )
        {
            echo "<a href=\"intim.php?id={$id}&amp;pass={$pass}&amp;mod=new\">Установить ключ</a>";
        }
        else
        {
            echo "Ваш текущий ключ: <b>{$pwd}</b><br/>\r\n<a href=\"room.php?id={$id}&amp;pass={$pass}&amp;rm=10&amp;ref={$ref}\">Войти</a><br/>\r\n<a href=\"intim.php?id={$id}&amp;pass={$pass}&amp;mod=new\">Сменить ключ</a>";
            break;
        }
}
echo "<br/>---<br/>\r\n<a href=\"enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/>";
$end = gettime( );
echo "<p align=\"center\">\r\n[".round( $end - $mystart, 5 )."]\r\n</p></body></html>";
mysql_close( $link );
?>